Debian Bug report logs - #549263
recordmydesktop: uint_32_t truncation of cache compression statistics

version graph

Package: recordmydesktop; Maintainer for recordmydesktop is José L. Redrejo Rodríguez <jredrejo@debian.org>; Source for recordmydesktop is src:recordmydesktop.

Reported by: Piotr Engelking <inkerman42@gmail.com>

Date: Thu, 1 Oct 2009 22:03:09 UTC

Severity: minor

Tags: lfs, patch

Found in version recordmydesktop/0.3.8.1-2

Fixed in version recordmydesktop/0.3.8.1+svn602-1

Done: jredrejo@debian.org (José L. Redrejo Rodríguez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#549263; Package recordmydesktop. (Thu, 01 Oct 2009 22:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Engelking <inkerman42@gmail.com>:
New Bug report received and forwarded. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Thu, 01 Oct 2009 22:03:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Engelking <inkerman42@gmail.com>
To: Debian BTS <submit@bugs.debian.org>
Subject: recordmydesktop: uint_32_t truncation of cache compression statistics
Date: Thu, 1 Oct 2009 23:56:02 +0200
Package: recordmydesktop
Version: 0.3.8.1-2
Severity: minor
Tags: lfs patch

RecordMyDesktop reports incorrect cache compression statistics if it
receives more than 4 GB of data:

  Cached 5005 MB, from 1316 MB that were received.
  Average cache compression ratio: -280.1 %

The attached patch fixes this problem:

  Cached 6405 MB, from 33458 MB that were received.
  Average cache compression ratio: 80.9 %


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (400, 'unstable'), (300, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages recordmydesktop depends on:
ii  libasound2             1.0.21a-1         shared library for ALSA applicatio
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libogg0                1.1.4~dfsg-1      Ogg bitstream library
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libtheora0             1.0-2.1           The Theora Video Compression Codec
ii  libvorbis0a            1.2.0.dfsg-6      The Vorbis General Audio Compressi
ii  libvorbisenc2          1.2.0.dfsg-6      The Vorbis General Audio Compressi
ii  libvorbisfile3         1.2.0.dfsg-6      The Vorbis General Audio Compressi
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxdamage1            1:1.1.1-4         X11 damaged region extension libra
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxfixes3             1:4.0.3-2         X11 miscellaneous 'fixes' extensio
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

recordmydesktop recommends no packages.

recordmydesktop suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#549263; Package recordmydesktop. (Thu, 01 Oct 2009 22:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Engelking <inkerman42@gmail.com>:
Extra info received and forwarded to list. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Thu, 01 Oct 2009 22:27:11 GMT) Full text and rfc822 format available.

Message #10 received at 549263@bugs.debian.org (full text, mbox):

From: Piotr Engelking <inkerman42@gmail.com>
To: 549263@bugs.debian.org
Subject: Re: Bug#549263: recordmydesktop: uint_32_t truncation of cache compression statistics
Date: Fri, 2 Oct 2009 00:18:32 +0200
[Message part 1 (text/plain, inline)]
Missing patch... :P
[stats-u32-truncation.patch (application/octetstream, attachment)]

Reply sent to jredrejo@debian.org (José L. Redrejo Rodríguez):
You have taken responsibility. (Mon, 08 Feb 2010 19:21:11 GMT) Full text and rfc822 format available.

Notification sent to Piotr Engelking <inkerman42@gmail.com>:
Bug acknowledged by developer. (Mon, 08 Feb 2010 19:21:11 GMT) Full text and rfc822 format available.

Message #15 received at 549263-close@bugs.debian.org (full text, mbox):

From: jredrejo@debian.org (José L. Redrejo Rodríguez)
To: 549263-close@bugs.debian.org
Subject: Bug#549263: fixed in recordmydesktop 0.3.8.1+svn602-1
Date: Mon, 08 Feb 2010 19:19:13 +0000
Source: recordmydesktop
Source-Version: 0.3.8.1+svn602-1

We believe that the bug you reported is fixed in the latest version of
recordmydesktop, which is due to be installed in the Debian FTP archive:

recordmydesktop_0.3.8.1+svn602-1.diff.gz
  to main/r/recordmydesktop/recordmydesktop_0.3.8.1+svn602-1.diff.gz
recordmydesktop_0.3.8.1+svn602-1.dsc
  to main/r/recordmydesktop/recordmydesktop_0.3.8.1+svn602-1.dsc
recordmydesktop_0.3.8.1+svn602-1_i386.deb
  to main/r/recordmydesktop/recordmydesktop_0.3.8.1+svn602-1_i386.deb
recordmydesktop_0.3.8.1+svn602.orig.tar.gz
  to main/r/recordmydesktop/recordmydesktop_0.3.8.1+svn602.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
José L. Redrejo Rodríguez <jredrejo@debian.org> (supplier of updated recordmydesktop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Feb 2010 18:31:20 +0100
Source: recordmydesktop
Binary: recordmydesktop
Architecture: source i386
Version: 0.3.8.1+svn602-1
Distribution: unstable
Urgency: low
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Changed-By: José L. Redrejo Rodríguez <jredrejo@debian.org>
Description: 
 recordmydesktop - Captures audio-video data of a Linux desktop session
Closes: 544699 548631 549263 559648
Changes: 
 recordmydesktop (0.3.8.1+svn602-1) unstable; urgency=low
 .
   * New version from upstream svn (Closes: #549263, #544699)
   * Added build dependency on dpatch to apply different patches
   * Modified debian/rules to use dpatch
   * debian/patches/01_update_includes.dpatch update Xorg includes
   * debian/patches/02_fix_new_theora.dpatch (Closes: #548631, #559648)
   * debian/control: bumped standards version to 3.8.4.
Checksums-Sha1: 
 630efc9ee4a47ad4e632960e3ce42ad778119ae0 1367 recordmydesktop_0.3.8.1+svn602-1.dsc
 a513fa9816443a8914ab2bbf4f64f449b41ce1e5 204188 recordmydesktop_0.3.8.1+svn602.orig.tar.gz
 ed9a6177eb0a1cdddf9165d8b65f49b2e0111c4e 3677 recordmydesktop_0.3.8.1+svn602-1.diff.gz
 d09b81e245a34c90eec8cbe7daf36457df15523a 55362 recordmydesktop_0.3.8.1+svn602-1_i386.deb
Checksums-Sha256: 
 d320d2b50d7baddf23dca5a42ed65805d0a21b936a5ca22f172e286c53e23456 1367 recordmydesktop_0.3.8.1+svn602-1.dsc
 22894e2afe3a0a612b6c2512fd7639b9777616cf0f40b5723f1a097d620bc983 204188 recordmydesktop_0.3.8.1+svn602.orig.tar.gz
 8469ab2ccce09440092084b190ad00f4f4b616f77c741c800834f451feec74ca 3677 recordmydesktop_0.3.8.1+svn602-1.diff.gz
 9a864d9f4798f40bb03c7759ea720f88430a97a382c4ccee389c1c0dda61cca6 55362 recordmydesktop_0.3.8.1+svn602-1_i386.deb
Files: 
 471166ec0738e775359097a1928cf35f 1367 video optional recordmydesktop_0.3.8.1+svn602-1.dsc
 ce7f1f80d47af9ab532dbf047f73a50e 204188 video optional recordmydesktop_0.3.8.1+svn602.orig.tar.gz
 e27a43d65adcf7857471616f0e55742a 3677 video optional recordmydesktop_0.3.8.1+svn602-1.diff.gz
 08fbe9953ccc4a2492e51b16115829c2 55362 video optional recordmydesktop_0.3.8.1+svn602-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktwXsIACgkQmqVR2WapDeKFMACfVj+fscqpPj+g8WsHlKWF8vVt
lKMAoOfimDDHhtE28rIfZsyJNa/almAM
=jsHX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Mar 2010 07:38:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:20:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.